Bug 1577533 - Mice with more than 16 buttons are not recognised as mice
Summary: Mice with more than 16 buttons are not recognised as mice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 28
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 20:05 UTC by Johan Verrept
Modified: 2018-05-14 17:00 UTC (History)
7 users (show)

Fixed In Version: systemd-238-8.git0e0aa59.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-13 20:01:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Johan Verrept 2018-05-12 20:05:52 UTC
Description of problem:

Mice with more than 16 buttons are not recognized as mice but only as a joystick. This means the mouse will not be recognized and cannot be used.

See https://github.com/systemd/systemd/pull/8493

Version-Release number of selected component (if applicable):

systemd 238

How reproducible:

plug in a mouse with more than 16 buttons (for example madcast MMO7 mouse)

Steps to Reproduce:
1.
2.
3.

Actual results:

Mouse is ignored.

Expected results:

Mouse can be used.

Additional info:

Comment 1 Johan Verrept 2018-05-12 20:07:13 UTC
udevadm info /dev/input/mouse0

P: /devices/pci0000:00/0000:00:14.0/usb1/1-10/1-10.2/1-10.2:1.0/0003:0738:1713.0002/input/input6/mouse0
N: input/mouse0
S: input/by-id/usb-Mad_Catz_Mad_Catz_M.M.O.7_Mouse_RD008694-joystick
S: input/by-path/pci-0000:00:14.0-usb-0:10.2:1.0-joystick
E: DEVLINKS=/dev/input/by-id/usb-Mad_Catz_Mad_Catz_M.M.O.7_Mouse_RD008694-joystick /dev/input/by-path/pci-0000:00:14.0-usb-0:10.2:1.0-joystick
E: DEVNAME=/dev/input/mouse0
E: DEVPATH=/devices/pci0000:00/0000:00:14.0/usb1/1-10/1-10.2/1-10.2:1.0/0003:0738:1713.0002/input/input6/mouse0
E: ID_BUS=usb
E: ID_FOR_SEAT=input-pci-0000_00_14_0-usb-0_10_2_1_0
E: ID_INPUT=1
E: ID_INPUT_JOYSTICK=1
E: ID_MODEL=Mad_Catz_M.M.O.7_Mouse
E: ID_MODEL_ENC=Mad\x20Catz\x20M.M.O.7\x20Mouse
E: ID_MODEL_ID=1713
E: ID_PATH=pci-0000:00:14.0-usb-0:10.2:1.0
E: ID_PATH_TAG=pci-0000_00_14_0-usb-0_10_2_1_0
E: ID_REVISION=0117
E: ID_SERIAL=Mad_Catz_Mad_Catz_M.M.O.7_Mouse_RD008694
E: ID_SERIAL_SHORT=RD008694
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Mad_Catz
E: ID_VENDOR_ENC=Mad\x20Catz
E: ID_VENDOR_ID=0738
E: MAJOR=13
E: MINOR=32
E: SUBSYSTEM=input
E: TAGS=:uaccess:seat:
E: USEC_INITIALIZED=3508257

Comment 2 Zbigniew Jędrzejewski-Szmek 2018-05-13 17:10:02 UTC
Please specify the exact version of the rpm.

Comment 3 Johan Verrept 2018-05-13 17:38:13 UTC
Installed Packages
Name         : systemd
Version      : 238
Release      : 7.fc28.1
Arch         : x86_64
Size         : 11 M
Source       : systemd-238-7.fc28.1.src.rpm
Repo         : @System
From repo    : fedora
Summary      : System and Service Manager
URL          : http://www.freedesktop.org/wiki/Software/systemd
License      : LGPLv2+ and MIT and GPLv2+

Comment 4 Fedora Update System 2018-05-13 17:49:21 UTC
systemd-238-8.git0e0aa59.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f455e48805

Comment 5 Fedora Update System 2018-05-13 20:01:16 UTC
systemd-238-8.git0e0aa59.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Johan Verrept 2018-05-14 17:00:49 UTC
It works, thank you.


Note You need to log in before you can comment on or make changes to this bug.